Page MenuHomePhabricator

Remove PopupsBetaFeature code
Closed, ResolvedPublic3 Story Points

Description

Popups is never going to be a beta feature again. Let's remove the associated code.

acceptance criteria

  • Image assets relating to feature removed
  • hooks relating to enabling the feature / showing it in preferences is removed
  • PopupsBetaFeature config variable removed
  • Documentation in markdown files updated

Sign off step

  • mediawiki.org updated

Event Timeline

Jdlrobson moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Jhernandez updated the task description. (Show Details)Apr 25 2018, 4:33 PM
Jdlrobson triaged this task as Normal priority.Apr 25 2018, 4:54 PM
Jdlrobson set the point value for this task to 3.
Jdlrobson moved this task from Upcoming to 2017-18 Q4 on the Readers-Web-Backlog board.
Jdlrobson updated the task description. (Show Details)Apr 26 2018, 9:12 PM

Change 429347 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Remove BetaFeature code

https://gerrit.wikimedia.org/r/429347

Change 429347 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove BetaFeature code

https://gerrit.wikimedia.org/r/429347

Jdlrobson added a subscriber: ovasileva.

Anthony, could you please do a quick and generic page previews QA on the beta cluster and check page previews are working correctly if the user is logged in (and has it disabled/enabled) or is anonymous (and has it disabled/enabled). Heads up @ovasileva that the beta feature code is gone \o/

Looking good to me on the Dog article on beta




updated https://www.mediawiki.org/wiki/Beta_Features, I think we're all done here, but @Jdlrobson - handing this over to you since some checkboxes are still open in the acceptance criteria.

ovasileva updated the task description. (Show Details)May 2 2018, 3:10 PM
Jdlrobson updated the task description. (Show Details)May 2 2018, 8:32 PM

Change 430478 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Remove remaining references to beta

https://gerrit.wikimedia.org/r/430478

Change 430478 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove remaining references to beta

https://gerrit.wikimedia.org/r/430478

Jdlrobson closed this task as Resolved.May 3 2018, 4:49 PM
Jdlrobson updated the task description. (Show Details)